<template lang="pug">

.Grids(:style="G.style" :cssid="G.cssid")
  GridElement(v-for="gE in G.elements" :keys="`k-gE-${gE.cssid}`" :apiData="gE" )

</template>

<script>

import 'axios'

import GridElement from "@/components/GE/GridElement.vue"

export default {
  name: 'Grids',
  components: {
    GridElement
  },
  data: () =>{
    return {
      G: {}
  }},
  ready(){
    console.log(`Grids.created().$store.commit.getGrids()`)
  },
  computed: {
    gGrid: function() {
      Object.Assign(this.$data.G = this.$store.getters.getGrid('master'))
    },
  },
  methods: {
  },
}
</script>

<style lang="stylus">

@media (min-width:2600px) and (max-width: 3840px)
  pass

@media (min-width:1921px) and (max-width: 2600px)
  pass

@media (min-width:1125px) and (max-width: 1920px)
  pass

@media (max-width: 920px) and (max-height: 1125px)       
  pass 

@media (max-width: 753px) and (max-height: 920px)       
  pass

</style>
